3rd-Party Ubuntu ROM for Khadas VIM


#224

In this version there are only two resolution 1080 and 720. For work BT you have to configure it in the main Linux system.


#225

sorry, i don’t understand “For work BT you have to configure it in the main Linux system.” I have to load modules with modprobe ? drivers (where) ?

For resolution. Can i add setenv m “1360x768p60hz”" in “s905_autoscript” ?
like here https://github.com/mdrjr/c1_bootini/blob/master/boot.ini


#226
  1. Instructions for setting up BT in Linux is on the Internet.
  2. Try. But as I recall, such modes I did not add it to the kernel.

#227
Welcome to ARMBIAN 5.27 stable Debian GNU/Linux 9 (stretch) 3.14.29
Linux amlogic 3.14.29 #59 SMP PREEMPT Sun Jun 25 17:07:13 MSK 2017 aarch64

tested the build, Armbian_5.27_S9xxx_Debian_jessie_3.14.29_xfce_KODI_20170625
added autologin
google stackexchange “auto login on xfce in jessie”

and manual start with
systemctl set-default multi-user.target

which turns off hdmi output altogether (would be nice to have the syslog and other errors going via hdmi console as a control monitor for debugging)

using a remote desktop server/client it is possible with your current rom to run kodi on the hd monitor in framebuffer mode and still have a remote desktop client open with a minimalist X on your main machine.

trying out a fast remote desktop app (which pipes the audio unnecessarily too…)
https://www.nomachine.com/download/download&id=3

instead of a whole x, i’d prefer a web browser in full screen actually trying out a leaner version just using xvfb
http://semicomplete.com/blog/geekery/headless-wrapper-for-ephemeral-xservers.html

use case:
first screen PC, remote desktop client & ssh client
second screen TV / kodi or hdmi control monitor


#228

thanks for replying. i am now working on your new mate with kodi.
wifi is stable, i could install repositories but no luck to find a vdr-vnsi-client addon for kodi 17 yet. never mind, all in all i think it is your best image for mate and kodi. thanks a lot!


#229

Image update Mate\XFCE+KODI 20170628. Updated libs. Now has less to hang.


#230

I have a problem (Last image Armbian_5.27_S9xxx_Ubuntu_xenial_3.14.29_mate_KODI_20170628.img) of showing internal *ass sub mkv movie in linux kodi. By your Librelec image no problem…
I tried to install libass-dev but did not help


#231

File crashlogs there ? Version (build) KODI in Linux is different from the version LE (this is a different build, with different parameters).


#232

From kodi.log
15:01:16.248 T:545997713360 DEBUG: Thread VideoPlayerAudio start, auto delete: false
15:01:16.248 T:547418636240 DEBUG: FactoryCodec - Overlay: SSA Subtitle Decoder - Opening
15:01:16.248 T:545997713360 NOTICE: running thread: CVideoPlayerAudio::Process()
15:01:16.248 T:547418636240 DEBUG: SECTION:LoadDLL(libass.so.9)
15:01:16.249 T:547418636240 DEBUG: Loading: libass.so.9
15:01:16.250 T:547418636240 ERROR: Unable to load libass.so.9, reason: libass.so.9: cannot open shared object file: No such file or directory
15:01:16.250 T:547418636240 DEBUG: Dll libass.so.9 was not found in path
15:01:16.250 T:547418636240 ERROR: CDVDSubtitlesLibass: Failed to load libass library
15:01:16.250 T:547418636240 DEBUG: FactoryCodec - Overlay: SSA Subtitle Decoder - Failed
15:01:16.250 T:547418636240 DEBUG: FactoryCodec - Overlay: Text Subtitle Decoder - Opening
15:01:16.250 T:547418636240 DEBUG: FactoryCodec - Overlay: Text Subtitle Decoder - Failed

terminal linux
~$ sudo apt-get install libass-dev
Reading package lists… Done
Building dependency tree
Reading state information… Done
libass-dev is already the newest version (0.13.1-1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Libass9 unstable can not be install
https://packages.debian.org/sid/libass9
https://packages.debian.org/search?keywords=libass


#233

In the next version this will be fixed.


#234

Please upgrade this version of the package.


#235

Thanks Problem solved work great.

  1. installed last updates
    sudo apt-get update
    sudo apt-get upgrade
  2. Updated kodi-aml_5.27_arm64.deb
  3. Installed libass9_0.13.7-2_arm64.deb
    kodi.log
    17:05:47.030 T:547438465008 DEBUG: FactoryCodec - Overlay: SSA Subtitle Decoder - Opening
    17:05:47.030 T:546084839408 NOTICE: running thread: CVideoPlayerAudio::Process()
    17:05:47.030 T:547438465008 DEBUG: SECTION:LoadDLL(libass.so.9)
    17:05:47.031 T:547438465008 DEBUG: Loading: libass.so.9
    17:05:47.039 T:547438465008 INFO: CDVDSubtitlesLibass: Creating ASS library structure
    17:05:47.039 T:547438465008 INFO: CDVDSubtitlesLibass: Initializing ASS library font settings
    17:05:47.039 T:547438465008 INFO: CDVDSubtitlesLibass: Initializing ASS Renderer
    17:05:47.039 T:547438465008 DEBUG: CDVDSubtitlesLibass: [ass] Shaper: FriBidi 0.19.7 (SIMPLE) HarfBuzz-ng 1.4.2 (COMPLEX)
    17:05:47.055 T:547438465008 DEBUG: CDVDSubtitlesLibass: [ass] Using font provider fontconfig
    17:05:47.055 T:547438465008 INFO: CDVDSubtitlesLibass: Creating new ASS track
    17:05:47.056 T:547438465008 DEBUG: FactoryCodec - Overlay: SSA Subtitle Decoder - Opened

#236

I have succeeded to run latest Armbian Ubuntu Mate on sd card, using the keys method from Khadas docs, thanks vrabac!


#237

I don’t have wifi connection on latest ubuntu mate with kodi, only ethernet works, can i do something to fix it?


#238

That would avoid confusion, I opened a new topic, specifically on Armbian.


#239

hi,

i have khadas 2g/16g. Is it better to use linux image from http://docs.khadas.com/basics/FirmwareResources/ or ARMBIAN TEST image ?
I want fast linux, mali acceleration and all function (bluetooth, wifi…).

thank you


#240

Hi, gandolfi:
Balbes150’s developed many great ROM for VIM, and I think you can just take try with both the images, and take one up to your favor.

Just note that mali acceleration for X11 is not available at the moment.

Enjoy!


#241

thanks Do you have a link to the rom for vim from balbes150 ?